Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.persistence.xstream
Class XStreamScoreConverter

    java.lang.Object
      org.optaplanner.persistence.xstream.XStreamScoreConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

Direct Known Subclasses:
  XStreamBendableScoreConverter

    public class XStreamScoreConverter

extends Object
implements com.thoughtworks.xstream.converters.Converter

Some `Score` implementations require specific subclasses: For `BendableScore`, use `XStreamBendableScoreConverter`.

Constructor Summary
`XStreamScoreConverter(Class<? extends Score> scoreClass, Class<? extends ScoreDefinition> scoreDefinitionClass)`
`XStreamScoreConverter(ScoreDefinition scoreDefinition)`

Method Summary
`boolean` | `canConvert(Class type)`
`void` | `marshal(Object scoreObject, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
`Object` | `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XStreamScoreConverter

    public XStreamScoreConverter(ScoreDefinition scoreDefinition)

### XStreamScoreConverter

    public XStreamScoreConverter(Class<? extends Score> scoreClass,
                                 Class<? extends ScoreDefinition> scoreDefinitionClass)

Method Detail

### canConvert

    public boolean canConvert(Class type)

  Specified by:
    `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`

### marshal

    public void marshal(Object scoreObject,
                        com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                        com.thoughtworks.xstream.converters.MarshallingContext context)

  Specified by:
    `marshal` in interface `com.thoughtworks.xstream.converters.Converter`

### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                            com.thoughtworks.xstream.converters.UnmarshallingContext context)

  Specified by:
    `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.